[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: xine-lib in rawhide not buildable against?



On Sat, 2008-02-09 at 13:28 +0100, Martin Sourada wrote:
> Hm... I am not much familiar with expressions, but seems that adding .*
> at the end of the 'matching string' makes it work for x.y.z as well as
> for x.y.z.w. I'll make a patch a try to rebuild gxine in koji again.
> 
> Martin

Seems it works. GXine build is now done, and I am doing xine-plugin
build. I suspect similar patches will be needed for other xine-lib based
applications like oxine, xine-ui or totem-xine (but I didn't checked
their configuration files).

So to again say where the problem was: gxine was expecting output of
xine-config --version in x.y.z format, but for xine-lib-1.1.10.1 it
clearly has x.y.z.w format, so you need to ignore the rest. The bogus
output from the configure error is most likely result of printing '1.1'
and like as integer...

Both for gxine and xine-plugin the change to configure is like this:

 xine_config_major_version=`$XINE_CONFIG $xine_config_args --version | \
-             sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
+             sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\).*/\1/'`
 xine_config_minor_version=`$XINE_CONFIG $xine_config_args --version | \
-             sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
+             sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\).*/\2/'`
 xine_config_sub_version=`$XINE_CONFIG $xine_config_args --version | \
-             sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
+             sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\).*/\3/'`

Martin

Attachment: signature.asc
Description: This is a digitally signed message part


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]